## libpysal 4.7.0

=== Makefile ===
# developer Makefile for repeated tasks
# 
.PHONY: clean

nb:
	docker run -it --rm  -p 8888:8888 -v ${PWD}:/home/jovyan sjsrey/pysaldev:2.3 sh -c "/home/jovyan/develop.sh && /bin/bash"

term:
	docker run -it --rm   -v ${PWD}:/home/jovyan sjsrey/pysaldev:2.3 sh -c "/home/jovyan/develop.sh && /bin/bash"

download:
	python gitreleases.py

convert:
	python convert.py

test:
	pytest --doctest-modules --doctest-continue-on-failure

doctest:
	cd doc; make pickle; make doctest

install:
	python setup.py install >/dev/null

src:
	python setup.py sdist >/dev/null

win:
	python setup.py bdist_wininst >/dev/null

prep:
	rm -rf pysal/lib
	mkdir pysal/lib

docs:
	python convert_docs.py
	cd doc; make clean; make html

clean: 
	find . -name "*.pyc" -exec rm '{}' ';'
	find pysal -name "__pycache__" -exec rm -rf '{}' ';'
	rm -rf dist
	rm -rf build
	rm -rf PySAL.egg-info
	rm -rf tmp

=== requirements.txt ===
platformdirs
beautifulsoup4
jinja2
numpy>=1.3
pandas
requests
scipy>=0.11
packaging

=== debian/changelog ===
libpysal (4.7.0-1) unstable; urgency=medium

  * New upstream version 4.7.0 (Closes: #1028920)
  * debian/control: standards-Version to 4.6.2
  * debian/copyright: updated year copyright
  * debian/rules: skipped tests with unknown errors
  * debian/source: removed unnecessary file

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 19 Jan 2023 07:02:44 -0300

libpysal (4.6.2-2) unstable; urgency=medium

  * Source-only upload to allow testing migration
  * debian/rules: remove objects for cross compilation,for correction test CI/CD
  * debian/control: spell correction in long description

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 09 Oct 2022 06:34:31 -0300

libpysal (4.6.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1017074)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 12 Aug 2022 22:05:39 -0300

=== debian/control ===
Source: libpysal
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: black,
               debhelper-compat (= 13),
               dh-python,
               jdupes,
               pre-commit,
               python3-all,
               python3-colorcet,
               python3-folium,
               python3-geojson,
               python3-geomet,
               python3-geopandas,
               python3-jupyter-server-mathjax,
               python3-matplotlib,
               python3-nbsphinx,
               python3-networkx,
               python3-numba,
               python3-numexpr,
               python3-numpydoc,
               python3-pypandoc,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-runner,
               python3-pytest-xdist,
               python3-seaborn,
               python3-setuptools,
               python3-sklearn,
               python3-sphinx,
               python3-sphinx-bootstrap-theme,
               python3-sphinx-gallery,
               python3-sphinxcontrib.bibtex,
               python3-sqlalchemy,
               python3-statsmodels,
               python3-xarray
Standards-Version: 4.6.2
Homepage: https://github.com/pysal/libpysal
Vcs-Browser: https://salsa.debian.org/science-team/libpysal
Vcs-Git: https://salsa.debian.org/science-team/libpysal.git

Package: python3-libpysal
Architecture: all
Depends: python3-appdirs,
         python3-bs4,
         python3-jinja2,
         python3-numpy,
         python3-packaging,
         python3-pandas,
         python3-requests,
         python3-scipy,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-libpysal-doc
Description: Library of spatial analysis functions
 Module has the libpysal.cg responsible for Computational Geometry,
 as well as the libpysal.io which allows input and output as well
 as libpysal.weights capable of processing Space Weights.
 .
 The module also comes with libpysal.examples, ie built-in example
 datasets, making it very efficient.

Package: python-libpysal-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Improved Python libpaysal module from (common documentation)
 Module has the libpysal.cg responsible for Computational Geometry,
 as well as the libpysal.io which allows input and output as well
 as libpysal.weights capable of processing Space Weights.
 .
 This package contains HTML documentation, incorporates instructions on how
 to install and configure and use this module Python libpaysal.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export HOME = $(shell pwd)
export PYBUILD_NAME=libpysal
export PYBUILD_TEST_ARGS=--ignore=libpysal/cg/tests/test_geoJSON.py \
	--ignore=libpysal/cg/tests/test_ashapes.py \
	--ignore=libpysal/weights/tests/test_util.py \
        --ignore=libpysal/io/iohandlers/tests/test_db.py \
	--ignore=libpysal/cg/tests/test_voronoi.py \
	--ignore=libpysal/weights/tests/test_contiguity.py \
        --ignore=libpysal/examples/tests/test_available.py \
        --ignore=libpysal/weights/tests/test_gabriel.py \
        --ignore=libpysal/weights/tests/test_raster.py
%:
	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild
# Build sphinx HTML documentation
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. https_proxy='https://127.0.0.1:9/' no_proxy=localhost python3 -m sphinx -N -bhtml docs/ debian/html
override_dh_link:
	dh_link
# Fixe privacy-breach-generic
	find debian/python-libpysal-doc/ -name '*.html' -exec sed -i 's|src="https:||g' {} \;
#fixe package-contains-documentation-outside-usr-share-doc
	rm -rf debian/python3-libpysal/usr/lib/python3/dist-packages/lattice.dbf
	rm -rf debian/python3-libpysal/usr/share/doc/python3-libpysal/examples/__pycache__
	rm -rf debian/python3-libpysal/usr/lib/python3/dist-packages/core
	rm -rf debian/python-libpysal-doc/usr/share/doc/python-libpysal-doc/html/_static/bootstrap-3.4.1/fonts/
	rm -rf debian/python-libpysal-doc/usr/share/doc/python-libpysal-doc/html/_static/bootswatch-3.4.1/fonts/
	find debian/python-libpysal-doc/usr/share/doc -name '*.js' -delete
	find debian/python-libpysal-doc/usr/share/doc -type d -empty -delete
#Fixe duplicate-files
	jdupes -rl debian/python-libpysal-doc/usr
	jdupes -rl debian/python3-libpysal/usr

=== debian/watch ===
version=4
https://github.com/pysal/libpysal/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## libpysal 4.9.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = libpysal
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@rsync -r --exclude '.ipynb_checkpoints/' ../notebooks/ ./notebooks/
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

github:
	@make html

sync:
	@rsync -avh _build/html/ ../docs/ --delete
	@make clean
	touch .nojekyll

clean:
	rm -rf $(BUILDDIR)/*
	rm -rf auto_examples/
	rm -rf generated/

=== debian/changelog ===
libpysal (4.9.2-2) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 03 Feb 2024 11:19:45 -0300

libpysal (4.9.2-1) unstable; urgency=medium

  * New upstream version 4.9.2
  * debian/clean: Added build artifacts
  * debian/python-libpysal-doc.docs: File changed extension
  * debian/rules: Added tests a list ignore and remove useless file

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 03 Feb 2024 11:19:28 -0300

libpysal (4.8.0-1) unstable; urgency=medium

  * New upstream version 4.8.0
  * debian/clean: Removed build artifacts
  * debian/control: New version requires pybuild-plugin-pyproject
  * debian/copyright: File 'versioneer.py' has been removed in the new version
  * debian/examples: Removed as unnecessary
  * debian/install: Removed as unnecessary
  * debian/patches:Removed because they were fixed new version
  * debian/python-libpysal-doc.docs: Added directory '/tmp'
  * debian/rules: debian/rules: Adjustments for building new version
  * debian/watch: Added uversionmangle tag

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 14 Oct 2023 20:37:55 -0300

libpysal (4.7.0-3) unstable; urgency=medium

  * debian/patches: fix decorador numba jit to "@jit(nopython=True)"
  * debian/rules: Enabled tests that had errors in previous versions
  * debian/tests/control: Added autopkgtests (closes: #1035160)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 03 Sep 2023 23:20:34 -0300

libpysal (4.7.0-2) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 12 Jul 2023 10:34:57 -0300

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                dh-python,
                jdupes,
                pre-commit,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-colorcet,
                python3-folium,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export HOME = $(shell pwd)
export PYBUILD_NAME=libpysal
export PYBUILD_TEST_CUSTOM=1

%:
	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	 pytest --ignore=libpysal/graph/tests/ \
        --ignore=libpysal/weights/tests/test_contiguity.py \
        --ignore=libpysal/cg/tests/test_geoJSON.py \
        --ignore=libpysal/weights/tests/test_util.py \
        --ignore=libpysal/examples/tests/test_available.py \
        --ignore=libpysal/io/iohandlers/tests/test_db.py
	dh_auto_test
endif
override_dh_auto_clean:
	dh_auto_clean

# Build sphinx HTML documentation
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. https_proxy='https://127.0.0.1:9/' no_proxy=localhost python3 -m sphinx -N -bhtml docs/ debian/html
override_dh_link:
	dh_link
# Fixe privacy-breach-generic
	find debian/python-libpysal-doc/ -name '*.html' -exec sed -i 's|src="https:||g' {} \;
#fixe package-contains-documentation-outside-usr-share-doc
	rm -rf debian/python3-libpysal/usr/lib/python3/dist-packages/lattice.dbf
	rm -rf debian/python3-libpysal/usr/lib/python3/dist-packages/libpysal/.gitignore
	rm -rf debian/python3-libpysal/usr/share/doc/python3-libpysal/examples/__pycache__
	rm -rf debian/python3-libpysal/usr/lib/python3/dist-packages/core
	rm -rf debian/python-libpysal-doc/usr/share/doc/python-libpysal-doc/html/_static/bootstrap-3.4.1/fonts/
	rm -rf debian/python-libpysal-doc/usr/share/doc/python-libpysal-doc/html/_static/bootswatch-3.4.1/fonts/
	find debian/python-libpysal-doc/usr/share/doc -name '*.js' -delete
	find debian/python-libpysal-doc/usr/share/doc -type d -empty -delete
#Fixe duplicate-files
	jdupes -rl debian/python-libpysal-doc/usr
	jdupes -rl debian/python3-libpysal/usr

override_dh_installexamples:
	 dh_installexamples -a notebooks

=== debian/tests/control ===
Test-Command: python3 -m pytest -v -p no:warnings libpysal/io/iohandlers/tests/
Depends: python3-all,
         python3-pytest,
         python3-matplotlib,
         python3-geopandas,
         @
Restrictions: allow-stderr

## libpysal 4.10

=== debian/changelog ===
libpysal (4.10-1~bpo12+1) UNRELEASED; urgency=medium

  * bookworm-backports Rebuilt for bookworm.

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 18 Mar 2024 16:27:28 +0000

libpysal (4.10-1) unstable; urgency=medium

  * New upstream version 4.10
  * debian/control: added Build-Depends "python3-setuptools-scm"

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 03 Mar 2024 22:24:20 -0300

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
                python3-pytest-xdist,
                python3-seaborn,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-sklearn,
                python3-sphinx,
                python3-sphinx-bootstrap-theme,

## libpysal 4.11.0

=== debian/changelog ===
libpysal (4.11.0-1) unstable; urgency=medium

  * New upstream version 4.11.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 06 Jul 2024 08:47:27 -0300

libpysal (4.10-8) unstable; urgency=medium

  * debian/rules: Added dh_installexamples

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 08 Jun 2024 07:32:52 -0300

libpysal (4.10-7) unstable; urgency=medium

  * debian/rules: Keeping the examples directory in the source location

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 05 Jun 2024 21:34:11 -0300

libpysal (4.10-6) unstable; urgency=medium

  * debian/rules: Simbolic link generation fixed

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 04 Jun 2024 22:30:33 -0300

libpysal (4.10-5) unstable; urgency=medium

  * debian/links-examples.sh: Script transferred to debian/rules
  * debian/rules: Added libpysal/examples for testing "esda" package

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 04 Jun 2024 20:47:35 -0300

libpysal (4.10-4) unstable; urgency=medium

  * debian/control:
     Added flag <!nocheck> and <!nodoc>
     Bumped Standards-Version to 4.7.0
     Removed unnecessary Build-depends
  * debian/links-examples.sh: Created symbolic link for testing package "esda"
  * debian/rules: Enabled libpysal/examples directory for testing "esda" package
  * debian/tests/control: Reformatted the code with wrap-and-sort -a

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 03 Jun 2024 02:11:06 -0300

libpysal (4.10-3) unstable; urgency=medium

  * debian/changelog: Fixed "debian-changelog-line-too-long" from 4.10-2
  * debian/clean: Added more build artifacts
  * debian/control: Update Build-Depends dh-python for dh-sequence-python3
  * debian/rules: Directory examples included in the package
                  Tweaks for sphinx-doc build

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 28 Apr 2024 15:29:46 -0300

libpysal (4.10-2) unstable; urgency=medium

  * debian/control: Added tag Recommends. (Closes: #1058476)
  * debian/control: Added build-depends python3-platformdir. (Closes: #1067971)
                    Removed build-depends python3-appdirs.

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 24 Apr 2024 23:17:22 -0300

## libpysal 4.12.0

=== debian/changelog ===
libpysal (4.12.0-1) unstable; urgency=medium

  * New upstream version 4.12.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 06 Aug 2024 21:27:34 -0300

## libpysal 4.12.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = libpysal
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)


.PHONY: help Makefile generate-rst

# Custom target to generate rst files
generate-rst:
	@echo "Generating custom rst files..."
	@python ../scripts/w_g_comparison.py

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile generate-rst
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
libpysal (4.12.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-matplotlib. Closes: #1116779.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 20:10:00 +0200

libpysal (4.12.1-1) unstable; urgency=medium

  * New upstream version 4.12.1

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 10 Sep 2024 23:31:39 -0300

=== debian/control ===
Source: libpysal
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Build-Depends: black,
               debhelper-compat (= 13),
               dh-sequence-python3,
               jdupes,
               pybuild-plugin-pyproject,
               python3-all,
               python3-bs4,
               python3-geopandas,
               python3-matplotlib,
               python3-myst-parser <!nodoc>,
               python3-nbsphinx <!nodoc>,
               python3-numpy,
               python3-numpydoc <!nodoc>,
               python3-packaging,
               python3-pandas,
               python3-platformdirs,
               python3-pypandoc <!nodoc>,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-mpl <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-requests,
               python3-scipy,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sklearn,
               python3-sphinx <!nodoc>,
               python3-sphinx-bootstrap-theme <!nodoc>,
               python3-sphinxcontrib.bibtex <!nodoc>
Standards-Version: 4.7.2
Homepage: https://github.com/pysal/libpysal
Vcs-Browser: https://salsa.debian.org/science-team/libpysal
Vcs-Git: https://salsa.debian.org/science-team/libpysal.git

Package: python3-libpysal
Architecture: all
Depends: python3-bs4,
         python3-jinja2,
         python3-numpy,
         python3-packaging,
         python3-pandas,
         python3-platformdirs,
         python3-requests,
         python3-scipy,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-libpysal-doc
Recommends: python3-joblib,
            python3-networkx,
            python3-numba,
            python3-sqlalchemy,
            python3-xarray,
            python3-zstd
Description: Library of spatial analysis functions
 Module has the libpysal.cg responsible for Computational Geometry,
 as well as the libpysal.io which allows input and output as well
 as libpysal.weights capable of processing Space Weights.
 .
 The module also comes with libpysal.examples, ie built-in example
 datasets, making it very efficient.

Package: python-libpysal-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Improved Python libpaysal module from (common documentation)
 Module has the libpysal.cg responsible for Computational Geometry,
 as well as the libpysal.io which allows input and output as well
 as libpysal.weights capable of processing Space Weights.
 .
 This package contains HTML documentation, incorporates instructions on how
 to install and configure and use this module Python libpaysal.

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,16 @@
 export PYBUILD_NAME=libpysal
 export PYBUILD_TEST_CUSTOM=1
 
+SRC_DIR="usr/lib/python3/dist-packages/libpysal/examples/"
+DEST_DIR="usr/share/doc/python3-libpysal/examples"
+
+
 %:
-	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild
+	dh $@ --sphinxdoc  --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	 pytest --ignore=libpysal/graph/tests/ \
+	 pytest-3 -v --ignore=libpysal/graph/tests/ \
         --ignore=libpysal/weights/tests/test_contiguity.py \
         --ignore=libpysal/cg/tests/test_geoJSON.py \
         --ignore=libpysal/weights/tests/test_util.py \
@@ -17,17 +21,18 @@
         --ignore=libpysal/io/iohandlers/tests/test_db.py
 	dh_auto_test
 endif
-override_dh_auto_clean:
-	dh_auto_clean
 
 # Build sphinx HTML documentation
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. https_proxy='https://127.0.0.1:9/' no_proxy=localhost python3 -m sphinx -N -bhtml docs/ debian/html
+	PYTHONPATH=. https_proxy='https://127.0.0.1:9/' no_proxy=localhost python3 -m sphinx -N -d debian/doctrees  -bhtml docs/ debian/html
+
+
 override_dh_link:
 	dh_link
 # Fixe privacy-breach-generic
-	find debian/python-libpysal-doc/ -name '*.html' -exec sed -i 's|src="https:||g' {} \;
+	find debian/python-libpysal-doc/  -name '*.html' -exec sed -i 's/.*https:.*//g' {} \;
+
 #fixe package-contains-documentation-outside-usr-share-doc
 	rm -rf debian/python3-libpysal/usr/lib/python3/dist-packages/lattice.dbf
 	rm -rf debian/python3-libpysal/usr/lib/python3/dist-packages/libpysal/.gitignore
@@ -42,4 +47,4 @@
 	jdupes -rl debian/python3-libpysal/usr
 
 override_dh_installexamples:
-	 dh_installexamples -a notebooks
+	dh_installexamples libpysal/examples/*

=== debian/tests/control ===
Test-Command: python3 -m pytest -v -p no:warnings libpysal/io/iohandlers/tests/
Depends: python3-all,
         python3-geopandas,
         python3-matplotlib,
         python3-pytest,
         @
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/rc/~rc/ \
https://github.com/pysal/libpysal/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
